17.06.2015 15:05    

ysezgul
Merhaba,

Autolispi yeni yeni öğrenmeye çalışıyorum yeniyim. Aşağıdaki kodla 3 noktayı kullanarak 4. köşeyi tamamlamaya çalışıyorum ama hata alıyorum yardımcı olabilirseniz sevinirim.

Kod:

(defun c:4n (pn1 pn2 pn3 pn4)
  (setq pn1 (getpoint "\nBirinci nokta:")
pn2 (getpoint "\nİkinci nokta:")
pn3 (getpoint "\nÜçüncü nokta:"))
  (setq pn4 (list ((+ (car pn1) (- (car pn3) (car pn2))) (+ (cadr pn1) (- (cadr pn3) (cadr pn2))))))
  (command "line" pn1 pn2 pn3 pn4 "c")
  )



Yusuf

17.06.2015 15:41    

ehya
lispinizin düzeltilmiş hali aşağıdadır...

Kod:

(defun c:4n (/ pn1 pn2 pn3 pn4)
  (setq pn1 (getpoint "\nBirinci nokta:")
pn2 (getpoint "\nİkinci nokta:")
pn3 (getpoint "\nÜçüncü nokta:"))
  (setq pn4 (list (+ (car pn1) (- (car pn3) (car pn2))) (+ (cadr pn1) (- (cadr pn3) (cadr pn2)))))
  (command "line" pn1 pn2 pn3 pn4 "c")
  (princ)
  )

17.06.2015 15:49    

ysezgul
Çok teşekkür ederim...

Yusuf

> 1 <
Copyright © 2004-2022 SQL: 0.992 saniye - Sorgu: 49 - Ortalama: 0.02025 saniye